package org.tinygroup.permission.config;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 
 * 功能说明: 权限配置信息
 * <p>
 * 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-13 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
@XStreamAlias("permission-config")
public class PermissionConfig {
	@XStreamAsAttribute
	private String name;//权限体系名称
	@XStreamAsAttribute
	@XStreamAlias("permission-subject-config")
	private PermissionSubjectConfig subjectConfig;
	@XStreamAsAttribute
	@XStreamAlias("permission-object-config")
	private PermissionObjectConfig objectConfig;

	public PermissionSubjectConfig getSubjectConfig() {
		return subjectConfig;
	}

	public void setSubjectConfig(PermissionSubjectConfig subjectConfig) {
		this.subjectConfig = subjectConfig;
	}

	public PermissionObjectConfig getObjectConfig() {
		return objectConfig;
	}

	public void setObjectConfig(PermissionObjectConfig objectConfig) {
		this.objectConfig = objectConfig;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	
}
